> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/authentication/wisej.hybrid.deviceauthenticator.md).

# DeviceAuthenticator

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

A web navigation API intended to be used for Authentication with external web services such as OAuth.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceAuthenticator
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceAuthenticator
```

{% endtab %}
{% endtabs %}

This API helps with navigating to a start URL and waiting for a callback URL to the app. Your app must be registered to handle the callback scheme you provide in the call to authenticate. Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceAuthenticator()

Initializes a new instance of [DeviceAuthenticator](/hybrid/start/api/authentication/wisej.hybrid.deviceauthenticator.md).

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)Authenticate(options)

Begin an authentication flow by navigating to the specified URL and waiting for a callback/redirect to the callback URL scheme.

| Parameter   | Type                                                                                                                     | Description                                                                                                                                                                                           |
| ----------- | ------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **options** | [WebAuthenticatorOptions](/hybrid/start/api/authentication/wisej.hybrid.shared.authenticator.webauthenticatoroptions.md) | A [WebAuthenticatorOptions](/hybrid/start/api/authentication/wisej.hybrid.shared.authenticator.webauthenticatoroptions.md) instance containing additional configuration for this authentication call. |

**Returns:** [WebAuthenticatorResult](/hybrid/start/api/authentication/wisej.hybrid.shared.authenticator.webauthenticatorresult.md). A [WebAuthenticatorResult](/hybrid/start/api/authentication/wisej.hybrid.shared.authenticator.webauthenticatorresult.md) object with the results of this operation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/authentication/wisej.hybrid.deviceauthenticator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
